#
# spec file for package rubygem-web-console
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-web-console
Version:        4.2.1
Release:        1.3
%define mod_name web-console
%define mod_full_name %{mod_name}-%{version}
BuildRequires:  %{ruby >= 2.5}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
URL:            https://github.com/rails/web-console
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        A debugging tool for your Ruby on Rails applications
License:        MIT

%description
A debugging tool for your Ruby on Rails applications.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG.markdown MIT-LICENSE README.markdown" \
  -f

%gem_packages

%changelog
* Tue Nov 14 2023 Dan Čermák <dan.cermak@posteo.net>
- New upstream release 4.2.1, see bundled CHANGELOG.markdown
* Tue Dec 21 2021 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 4.2.0
  * [#308](https://github.com/rails/web-console/pull/308) Fix web-console inline templates rendering ([@voxik])
  * [#306](https://github.com/rails/web-console/pull/306) Support Ruby 3.0 and above ([@ruanwood])
* Wed Nov 11 2020 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 4.1.0
  * [#304](https://github.com/rails/web-console/pull/304) Add support for Rails 6.1 ([@stephannv])
  * [#298](https://github.com/rails/web-console/pull/298) Prevent deprecation warnings by removing template formats ([@mikelkew])
  * [#297](https://github.com/rails/web-console/pull/297) Use MutationObserver instead of Mutation Events ([@mikelkew])
  * [#296](https://github.com/rails/web-console/pull/296) Add CSP nonce to injected scripts and styles ([@mikelkew])
* Mon Jul 13 2020 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 4.0.4
  * [fb483743](https://github.com/rails/web-console/commit/fb483743a6a2a4168cdc0b2e03f48fc393991b73) Fix a crash on webrick with Rack 2.2.3 ([@gsamokovarov])
* Thu Jun 25 2020 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 4.0.3
  * [#291](https://github.com/rails/web-console/pull/291) Deprecate config.web_console.whitelisted_ips ([@JuanitoFatas])
  * [#290](https://github.com/rails/web-console/pull/290) Fix Content-Length for rack >= 2.1.0 ([@p8])
* Thu May  7 2020 Stephan Kulow <coolo@suse.com>
- updated to version 4.0.2
  see installed CHANGELOG.markdown
  [#]# 4.0.2
  * [#285](https://github.com/rails/web-console/pull/285) Increase timeout on paste ([@celvro])
* Sat Aug 17 2019 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 4.0.1
  * [#279](https://github.com/rails/web-console/pull/279) Fix initial config.web_console.permissions value ([@patorash])
* Sun May  5 2019 Stephan Kulow <coolo@suse.com>
- updated to version 4.0.0
  see installed CHANGELOG.markdown
  [#]# 4.0.0
  * [|61c](https://github.com/rails/web-console/commit/61ce65b599f56809de1bd8da6590a80acbd92017) Move to config.web_console.permissions ([@gsamokovarov])
  * [|961](https://github.com/rails/web-console/commit/96127aac143e1e653fffdc4bb65e1ce0b5ff342d) Introduce Binding#console as an alternative interface ([@gsamokovarov])
  * [|d45](https://github.com/rails/web-console/commit/d4591ca5396ed15a08818f3da11134852a485b27) Introduce Rails 6 support ([@gsamokovarov])
  * [|f97](https://github.com/rails/web-console/commit/f97d8a889a38366485e5c5e8985995c19bf61d13) Introduce Ruby 2.6 support ([@gsamokovarov])
  * [|d6d](https://github.com/rails/web-console/commit/d6deacd9d5fcaabf3e3051d6985b53f924f86956) Drop Rails 5 support ([@gsamokovarov])
  * [|90f](https://github.com/rails/web-console/commit/90fda8789d402f05647c18f8cdf8e5c3d01692dd) Drop Ruby 2.4 support ([@gsamokovarov])
  * [#265](https://github.com/rails/web-console/pull/265) Add support for nested exceptions ([@yuki24])
* Wed Sep  5 2018 coolo@suse.com
- updated to version 3.7.0
  see installed CHANGELOG.markdown
  [#]# 3.7.0
  * [#263](https://github.com/rails/web-console/pull/263) Show binding changes ([@causztic])
  * [#258](https://github.com/rails/web-console/pull/258) Support Ctrl-A, Ctrl-W and Ctrl-U ([@gsamokovarov])
  * [#257](https://github.com/rails/web-console/pull/257) Always try to keep the console underneath the website content ([@gsamokovarov])
* Sun Apr 29 2018 factory-auto@kulow.org
- updated to version 3.6.2
  see installed CHANGELOG.markdown
  [#]# 3.6.2
  * [#255](https://github.com/rails/web-console/pull/255) Fix the truncated HTML body, because of wrong Content-Length header ([@timomeh])
* Thu Apr 19 2018 factory-auto@kulow.org
- updated to version 3.6.1
  see installed CHANGELOG.markdown
  [#]# 3.6.1
  * [#252](https://github.com/rails/web-console/pull/252) Fix improper injection in Rack bodies like ActionDispatch::Response::RackBody ([@gsamokovarov])
* Tue Apr 10 2018 factory-auto@kulow.org
- updated to version 3.6.0
  see installed CHANGELOG.markdown
  [#]# 3.6.0
  * [#254](https://github.com/rails/web-console/pull/254) Rescue ActionDispatch::RemoteIp::IpSpoofAttackError ([@wjordan])
  * [#250](https://github.com/rails/web-console/pull/250) Close original body to comply with Rack SPEC ([@wagenet])
  * [#249](https://github.com/rails/web-console/pull/249) Update for frozen-string-literal friendliness ([@pat])
  * [#248](https://github.com/rails/web-console/pull/248) Fix copy on Safari ([@ybart])
  * [#246](https://github.com/rails/web-console/pull/246) International keyboard special character input fixes ([@fl0l0u])
  * [#244](https://github.com/rails/web-console/pull/244) Let WebConsole.logger respect Rails.logger ([@gsamokovarov])
* Tue Jul 25 2017 dimstar@opensuse.org
- Build for all ruby versions (boo#1049991).
* Tue May 23 2017 coolo@suse.com
- updated to version 3.5.1
  see installed CHANGELOG.markdown
  [#]# 3.5.1
  * [239](https://github.com/rails/web-console/pull/239) Fix the ActionDispatch::DebugExceptions integration ([@gsamokovarov])
* Thu Mar 30 2017 coolo@suse.com
- updated to version 3.5.0
  see installed CHANGELOG.markdown
  [#]# 3.5.0
  * [237](https://github.com/rails/web-console/pull/237) Bindex integration for JRuby 9k support ([@gsamokovarov])
  * [236](https://github.com/rails/web-console/pull/236) Remove unused Active Support lazy load hook ([@betesh])
  * [230](https://github.com/rails/web-console/pull/230) Handle invalid remote addresses ([@akirakoyasu])
* Sun Oct 30 2016 coolo@suse.com
- updated to version 3.4.0
  see installed CHANGELOG.markdown
  [#]# 3.4.0
  * [#205](https://github.com/rails/web-console/pull/205) Introduce autocompletion ([@sh19910711])
* Wed Jul  6 2016 coolo@suse.com
- updated to version 3.3.1
  see installed CHANGELOG.markdown
  [#]# 3.3.1
  Drop support for Rails `4.2.0`.
  [#]# 3.3.0
  * [203](https://github.com/rails/web-console/pull/203) Map bindings to traces based on the trace __FILE__ and __LINE__ ([@gsamokovarov])
* Wed Jun 29 2016 coolo@suse.com
- updated to version 3.3.0
  see installed CHANGELOG.markdown
  [#]# 3.2.1
  * [#202](https://github.com/rails/web-console/pull/202) Use first binding when there is no application binding ([@sh19910711])
* Tue Jun  7 2016 coolo@suse.com
- updated to version 3.2.0
  see installed CHANGELOG.markdown
  [#]# 3.2.0
  * [#198](https://github.com/rails/web-console/pull/198) Pick the first application trace binding on errors ([@sh19910711])
  * [#189](https://github.com/rails/web-console/pull/189) Silence ActionView rendering information ([@gsamokovarov])
* Tue Apr 12 2016 coolo@suse.com
- updated to version 3.1.1
  see installed CHANGELOG.markdown
  [#]# 3.1.1
  * [#185](https://github.com/rails/web-console/pull/185) Fix `rails console` startup ([@gsamokovarov])
  [#]# 3.1.0
  * [#182](https://github.com/rails/web-console/pull/182) Let `#console` live in `Kernel` ([@schneems])
  * [#181](https://github.com/rails/web-console/pull/181) Log internal Web Console errors ([@gsamokovarov])
  * [#180](https://github.com/rails/web-console/pull/180) Autoload Web Console constants for faster Rails boot time ([@herminiotorres])
* Wed Mar  2 2016 dimstar@opensuse.org
- Fix spec: this rubygem is only compatible with ruby 2.2. Add:
  + %%%%define rb_build_versions ruby22
  + %%%%define rb_default_ruby_abi ruby:2.2.0
* Mon Jan 25 2016 coolo@suse.com
- updated to version 3.0.0
  see installed CHANGELOG.markdown
  [#]# 3.0.0
  * [#173](https://github.com/rails/web-console/pull/173) Revert "Change config.development_only default until 4.2.4 is released" ([@gsamokovarov])
  * [#171](https://github.com/rails/web-console/pull/171) Fixed blocked IP logging ([@gsamokovarov])
  * [#162](https://github.com/rails/web-console/pull/162) Render the console inside the body tag ([@gsamokovarov])
  * [#165](https://github.com/rails/web-console/pull/165) Revamped integrations for CRuby and Rubinius ([@gsamokovarov])
* Sat Jul 11 2015 coolo@suse.com
- updated to version 2.2.1
  no changelog found
* Wed Jun 17 2015 coolo@suse.com
- updated to version 2.1.3
  - Fix remote code execution vulnerability in Web Console.
    CVE-2015-3224.(bnc#934796) (bsc#1041338)
* Fri Mar 13 2015 coolo@suse.com
- updated to version 2.1.2
* Fri Mar  6 2015 coolo@suse.com
- updated to version 2.1.1
* Sun Mar  1 2015 coolo@suse.com
- updated to version 2.1.0
* Fri Feb  6 2015 hvogel@suse.com
- Initial package, Version 2.0.0
